CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

The CountUp module integrates the CountUp.js library with CKeditor 5, allowing
to have nice and configurable animations on pages.

 * For a full description of the module visit:
   https://www.drupal.org/project/countup

 * To submit bug reports and feature suggestions, or to track changes visit:
   https://www.drupal.org/project/issues/countup


REQUIREMENTS
------------

This module requires the following outside of Drupal core:

 * CountUp.js library - https://inorganik.github.io/countUp.js/

This library should be installed in the Drupal "libraries" and named `countup.js`.
The main script should be located here: `libraries/countup.js/dist/countUp.umd.js`.

USING COMPOSER
--------------

The composer.json file defines the asset-packagist repository.
Simply require this module:

    ```shell
    composer require drupal/countup
    ```


INSTALLATION
------------

 * Install the CountUp module as you would normally install a contributed Drupal
   module. Visit https://www.drupal.org/node/1897420 for further information.


CONFIGURATION
-------------

1. Navigate to Administration > Extend and enable the module.
2. Navigate to Administration > Configuration > Content Authoring > Text
   formats and editor > [format text to edit] to configure
3. Drag the CountUp icon into the Active toolbar into the Tools group.
4. Enable the CountUp filter in the filter list. It should run after the
   filters which limit the allowed HTML tags, if any is enabled.
6. Save configuration.
7. Now when using CKEditor 5, select the CountUp icon and define the
   configuration. Enter the Start number, End number, Duration of animation,
   and prefix or suffix, then save.


UPGRADE PATH WITH CKEDITOR 4
----------------------------

There is no upgrade path with CKEditor 4.

MAINTAINERS
-----------

 * Fabien Leroux 'B-Prod' https://www.drupal.org/u/b-prod
 * Lucas Gratien 'Fonski' https://www.drupal.org/u/fonski
 * Inorganik (Countup) : https://github.com/inorganik/countUp.js

Supporting organization:

 * Aïon Solutions - https://www.drupal.org/aïon-solutions
