<?php

declare(strict_types=1);

namespace Drupal\countup\Plugin\CKEditor5Plugin;

use Drupal\ckeditor5\Plugin\CKEditor5Plugin\DynamicPluginConfigWithCsrfTokenUrlTrait;
use Drupal\ckeditor5\Plugin\CKEditor5PluginDefault;
use Drupal\Core\Url;
use Drupal\editor\EditorInterface;

/**
 * Defines the "CountUp" plugin.
 */
Class CountUp extends CKEditor5PluginDefault {

  use DynamicPluginConfigWithCsrfTokenUrlTrait;

  /**
   * {@inheritdoc}
   */
  public function getDynamicPluginConfig(array $static_plugin_config, EditorInterface $editor): array {
    $static_plugin_config['countup_countup']['dialogSettings']['title'] = $this->t('Configure CountUp');
    $static_plugin_config['countup_countup']['libraryURL'] = self::getUrlWithReplacedCsrfTokenPlaceholder(
      Url::fromRoute('countup.countup_editor_ui')
        ->setRouteParameter('editor', $editor->getFilterFormat()->id())
    );
    return $static_plugin_config;
  }

}
